%define aud_ver        2.5.4
#define prever         rc1
#define prever_dot    .%{prever}

Name:           audacious-plugins
Version:        %{aud_ver}
Release:        1%{?prever_dot}%{?dist}
Summary:        Plugins for the Audacious media player
Group:          Applications/Multimedia
License:        GPLv2
URL:            http://audacious-media-player.org/
Source0:        http://distfiles.atheme.org/audacious-plugins-%{version}%{?prever}.tar.gz
Patch0:         audacious-plugins-2.5.4-xmms-skindir.patch
# for Fedora 10
Patch1:         audacious-plugins-2.4-status_icon_set.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext, curl-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  arts-devel
BuildRequires:  audacious-devel >= %{aud_ver}
BuildRequires:  bluez-libs-devel
BuildRequires:  esound-devel >= 0.2
BuildRequires:  faad2-devel
BuildRequires:  file-devel
BuildRequires:  flac-devel >= 1.1.2
BuildRequires:  fluidsynth-devel
BuildRequires:  gtkglext-devel
BuildRequires:  imlib2-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  ladspa-devel
BuildRequires:  libcue-devel
BuildRequires:  libbinio-devel
BuildRequires:  libbs2b-devel
BuildRequires:  libcddb-devel
BuildRequires:  libcdio-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmtp-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libnotify-devel
BuildRequires:  libogg-devel >= 1.0
BuildRequires:  libprojectM-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libshout-devel
BuildRequires:  libsidplay-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libtimidity-devel
BuildRequires:  libvisual-devel >= 0.2
BuildRequires:  libvorbis-devel >= 1.0
BuildRequires:  libXcomposite-devel
BuildRequires:  libxml2-devel
BuildRequires:  lirc-devel
BuildRequires:  neon-devel >= 0.25
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  SDL-devel >= 1.2.9
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  wavpack-devel >= 4.31
# non-Fedora
BuildRequires:  ffmpeg-devel
BuildRequires:  lame-devel
BuildRequires:  libmad-devel
BuildRequires:  libmms-devel

Requires:       audacious >= %{aud_ver}

Obsoletes: %{name}-adplug < %{version}-%{release}
Obsoletes: %{name}-amidi < %{version}-%{release}
Obsoletes: %{name}-exotic < %{version}-%{release}
Obsoletes: %{name}-jack < %{version}-%{release}
Obsoletes: %{name}-sid < %{version}-%{release}

Obsoletes: %{name}-metronome < 2.2-2
Obsoletes: %{name}-wavpack < 2.4
Obsoletes: %{name}-vortex < 2.4
Obsoletes: %{name}-plugins-esd < 2.4-0.6

Obsoletes: %{name}-freeworld < %{version}-%{release}
Obsoletes: %{name}-freeworld-aac < %{version}-%{release}
Obsoletes: %{name}-freeworld-alac < %{version}-%{release}
Obsoletes: %{name}-freeworld-ffaudio < %{version}-%{release}
Obsoletes: %{name}-freeworld-mms < %{version}-%{release}
Obsoletes: %{name}-freeworld-mp3 < %{version}-%{release}
Obsoletes: %{name}-freeworld-tta < %{version}-%{release}
Obsoletes: %{name}-freeworld-wma < %{version}-%{release}
Obsoletes: %{name}-mac < %{version}-%{release}
Obsoletes: audacious-mac < %{version}-%{release}

Provides: %{name}-adplug = %{version}-%{release}
Provides: %{name}-amidi = %{version}-%{release}
Provides: %{name}-exotic = %{version}-%{release}
Provides: %{name}-jack = %{version}-%{release}
Provides: %{name}-sid = %{version}-%{release}

Provides: %{name}-metronome = %{version}-%{release}
Provides: %{name}-wavpack = %{version}-%{release}
Provides: %{name}-vortex = %{version}-%{release}
Provides: %{name}-plugins-esd = %{version}-%{release}

Provides: %{name}-freeworld = %{version}-%{release}
Provides: %{name}-freeworld-aac = %{version}-%{release}
Provides: %{name}-freeworld-alac = %{version}-%{release}
Provides: %{name}-freeworld-ffaudio = %{version}-%{release}
Provides: %{name}-freeworld-mms = %{version}-%{release}
Provides: %{name}-freeworld-mp3 = %{version}-%{release}
Provides: %{name}-freeworld-tta = %{version}-%{release}
Provides: %{name}-freeworld-wma = %{version}-%{release}
Provides: %{name}-mac = %{version}-%{release}
Provides: audacious-mac = %{version}-%{release}

%description
Audacious is a media player, based on GTK2, which runs 
on Linux and many other *nix platforms. It is focused 
on audio quality, and supports a wide range of audio codecs.
Currently, it uses a skinned user interface based on Winamp
2.x skins, and is a fork of BMP, which itself forked from XMMS.

This package provides essential plugins for audio input, 
audio output and visualization.

%prep
%setup -q -n %{name}-%{version}%{?prever}
%patch0 -p1 -b .xmms-skindir
%patch1 -p1 -b .status_icon_set

sed -i -e 's!/usr/lib!%{_libdir}!g' src/ladspa/ladspa.c
sed -i -e 's!/usr/local/lib!/usr/local/%{_lib}!g' src/ladspa/ladspa.c

perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in

%build
%configure \
    --disable-rpath \
    --enable-chardet \
    --enable-amidiplug  \
    --disable-dependency-tracking \
    --enable-neon

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/audacious/Input
%{_libdir}/audacious/Output
%{_libdir}/audacious/Container
%{_libdir}/audacious/Effect
%{_libdir}/audacious/General
%{_libdir}/audacious/Visualization
%{_libdir}/audacious/Transport/*.so
%{_datadir}/audacious/images/*.png
%{_datadir}/audacious/paranormal
%{_datadir}/audacious/Skins
%{_datadir}/audacious/ui

%changelog
* Mon Aug 22 2011 Paulo Roma<roma@lcg.ufrj.br> - 2.5.4-1%{?dist}
- Updated to 2.5.4
- Removed deprecated no-avcore.patch

* Sat Jun 05 2011 Paulo Roma<roma@lcg.ufrj.br> - 2.5.1-1%{?dist}
- Updated to 2.5.1
- Removed deprecated ffaudio-metadata.patch

* Sat Jun 04 2011 Paulo Roma<roma@lcg.ufrj.br> - 2.4.5-1%{?dist}
- Updated to 2.4.5

* Fri Mar 04 2011 Paulo Roma<roma@lcg.ufrj.br> - 2.4.4-3%{?dist}
- Updated to 2.4.4
- Remove BR libmpcdec-devel ("musepack" plugin is not available anymore
  after 2.1 as it got removed in favour of "ffaudio"/ffmpeg plugin).
- Updated Obsoletes/Provides clauses.

* Sat Jan 16 2011 Paulo Roma<roma@lcg.ufrj.br> - 2.4.3-1%{?dist}
- Updated to 2.4.3

* Mon Dec 13 2010 Paulo Roma<roma@lcg.ufrj.br> - 2.4.2-1%{?dist}
- Updated to 2.4.2

* Sat Aug 28 2010 Paulo Roma<roma@lcg.ufrj.br> - 2.4.0-1%{?dist}
- Updated to 2.4.0

* Tue Jun 15 2010 Paulo Roma<roma@lcg.ufrj.br> - 2.3-3%{?dist}
- Applied status_icon_set patch for F10 and several patches ported from F14.
- Added BRs: faad2-devel and ffmpeg-devel for decoding 
  ape and mpc files.
- Added BRs gtkglext-devel, libsndfile-devel, libbs2b-devel 
  and ladspa-devel.
- Changed description.
- Removed deprecated disable-amidiplug-dummy.

* Sun Apr 25 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.3-2%{?dist}
- Update to 2.3.

* Fri Jan 22 2010 Paulo Roma <roma@lcg.ufrj.br> 2.2-2
- Applied pulse patch for building on Fedora 10.
- Added BR libprojectM-devel.
- Applied several patches from Fedora.

* Tue Dec 01 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2-1
- Updated to 2.2
- Added BR libcue-devel.

* Sun Nov 29 2009 Paulo Roma <roma@lcg.ufrj.br> 2.1-11
- Created jack and pulse patches for Fedora 12.

* Sun Nov 22 2009 Paulo Roma <roma@lcg.ufrj.br> 2.1-10
- Applied several patches.

* Sun Nov 08 2009 Paulo Roma <roma@lcg.ufrj.br> 2.1-9
- Updated to 2.1
- Removed obsolete patches neon-reader-error-crash and sndfile-cleanup.
- Added BR libxml2-devel.

* Wed Jun 07 2009 Paulo Roma <roma@lcg.ufrj.br> 2.0.1-8
- Removed deprecated configure options.
- Removed pulse hacks.
- Removed desktop entry.
- Added BRs libshout-devel, bluez-libs-devel, libmms-devel,
  libcddb-devel, imlib2-devel and libcdio-devel.

* Wed Jun 03 2009 Paulo Roma <roma@lcg.ufrj.br> 2.0.1-7
- Updated to 2.0.1
- Removed amid and libmtp patches.
- Removed audacious-arts-helper.

* Thu Dec 04 2008 Paulo Roma <roma@lcg.ufrj.br> 1.5.1-6
- Applied libmtp patch.

* Tue May 27 2008 Paulo Roma <roma@lcg.ufrj.br> 1.5.1-5
- Update to 1.5.1
- Added BR libtimidity-devel.
- Obsoleting audacious-mac.
- Patched for fixing:
  /usr/lib64/audacious/Input/amidi-plug.so: undefined symbol: audacious_drct_get_playing

* Sun Mar 16 2008 Paulo Roma <roma@lcg.ufrj.br> 1.5.0-4
- Update to 1.5.0
- Compiled and installed pulseaudio plugin.
- No more Changelog and NEWS in doc.

* Sun Mar 16 2008 Paulo Roma <roma@lcg.ufrj.br> 1.4.5-4.fc8
- Removed usuless individual plugin packages.

* Thu Jan 31 2008 Paulo Roma <roma@lcg.ufrj.br> 1.4.5-3
- Update to 1.4.5

* Thu Jan 10 2008 Paulo Roma <roma@lcg.ufrj.br> 1.4.4-3
- Update to 1.4.4

* Sun Dec 16 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.2-3
- Update to 1.4.2
- Enabled neon and added more BRs

* Wed Nov 19 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.1-2
- Update to 1.4.1

* Wed Nov 14 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.0-2
- Update to 1.4.0

* Sat Nov 02 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.0-1.rc1
- Update to 1.4.0-rc1
- Removed lib from plugin lib names, such as in libwavpack.so
- Added BuildRequires libmad-devel and lame-devel

* Sat Jun 16 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.5-2
- Update to 1.3.5

* Sat May 26 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.4-2
- Update to 1.3.4

* Sun Apr 22 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.3-1
- Update to 1.3.3
- Introduce aud_ver variable into specfile

* Mon Apr 16 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-1
- Update to 1.3.2

* Mon Jan 15 2007 Ralf Ertzinger <ralf@skytale.net> 1.2.5-3
- Fix a BuildRequires typo

* Sat Dec 16 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.5-2
- Rebuild for new wavpack
- Do not build against sndfile, it causes an unpausable wav plugin
  to be built

* Thu Nov 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.5-1
- Update to 1.2.5
- Add audacious-plugins-wavpack for WavPack input plugin
- Drop cddb patch, included upstream

* Sun Nov 26 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-1
- Initial RPM build for FE
